QXmlParseException(3qt)

NAME
QXmlParseException - Used to report errors with the

#include <qxml.h>

  Public Members
QXmlParseException ( const QString & name="", int c=-1, int l=-1, const QString & p="", const QString & s="" )
int columnNumber () const
int lineNumber () const
QString publicId () const
QString systemId () const
QString message () const

DESCRIPTION
The QXmlParseException class is used to report errors with the QXmlErrorHandler interface.

See also QXmlErrorHandler.

MEMBER FUNCTION DOCUMENTATION

QXmlParseException::QXmlParseException ( const QString & name=", int c=-1, int l=-1, const QString & p=", const QString & s=" )
Constructs a parse exception with the error string name in the column c and line l for the public identifier p and the system identifier s.

int QXmlParseException::columnNumber () const
Returns the column number the error occured.

int QXmlParseException::lineNumber () const
Returns the line number the error occured.

QString QXmlParseException::message () const
Returns the error message.

QString QXmlParseException::publicId () const
Returns the public identifier the error occured.

QString QXmlParseException::systemId () const
Returns the system identifier the error occured.

SEE ALSO
http://doc.trolltech.com/qxmlparseexception.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports make our job much simpler. Thank you.

In case of content or formattting problems with this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qxmlparseexception.3qt) and the Qt version (2.3.3).